%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  adobeanalyticsr
%global packver   0.4.0
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.4.0
Release:          1%{?dist}%{?buildtag}
Summary:          R Client for 'Adobe Analytics' API 2.0

License:          MIT + file LICENSE
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.2.0
Requires:         R-core >= 3.2.0
BuildArch:        noarch
BuildRequires:    R-CRAN-ggplot2 >= 3.3.2
BuildRequires:    R-CRAN-lubridate >= 1.7.9
BuildRequires:    R-CRAN-jsonlite >= 1.5
BuildRequires:    R-CRAN-stringr >= 1.4.0
BuildRequires:    R-CRAN-httr >= 1.3.1
BuildRequires:    R-CRAN-scales >= 1.1.1
BuildRequires:    R-CRAN-tidyr >= 1.0.0
BuildRequires:    R-CRAN-dplyr >= 0.8.1
BuildRequires:    R-CRAN-rlang >= 0.4.8
BuildRequires:    R-CRAN-purrr >= 0.3.3
BuildRequires:    R-CRAN-assertthat >= 0.2.0
BuildRequires:    R-CRAN-R6 
BuildRequires:    R-CRAN-jose 
BuildRequires:    R-CRAN-openssl 
BuildRequires:    R-CRAN-lifecycle 
BuildRequires:    R-CRAN-glue 
BuildRequires:    R-CRAN-vctrs 
BuildRequires:    R-CRAN-progress 
BuildRequires:    R-CRAN-memoise 
BuildRequires:    R-utils 
Requires:         R-CRAN-ggplot2 >= 3.3.2
Requires:         R-CRAN-lubridate >= 1.7.9
Requires:         R-CRAN-jsonlite >= 1.5
Requires:         R-CRAN-stringr >= 1.4.0
Requires:         R-CRAN-httr >= 1.3.1
Requires:         R-CRAN-scales >= 1.1.1
Requires:         R-CRAN-tidyr >= 1.0.0
Requires:         R-CRAN-dplyr >= 0.8.1
Requires:         R-CRAN-rlang >= 0.4.8
Requires:         R-CRAN-purrr >= 0.3.3
Requires:         R-CRAN-assertthat >= 0.2.0
Requires:         R-CRAN-R6 
Requires:         R-CRAN-jose 
Requires:         R-CRAN-openssl 
Requires:         R-CRAN-lifecycle 
Requires:         R-CRAN-glue 
Requires:         R-CRAN-vctrs 
Requires:         R-CRAN-progress 
Requires:         R-CRAN-memoise 
Requires:         R-utils 

%description
Connect to the 'Adobe Analytics' API v2.0
<https://github.com/AdobeDocs/analytics-2.0-apis> which powers 'Analysis
Workspace'. The package was developed with the analyst in mind, and it
will continue to be developed with the guiding principles of iterative,
repeatable, timely analysis.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
